| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::xfeatures2d::Elliptic_KeyPoint Class Reference
Extra 2D Features Framework » Experimental 2D Features Algorithms

Elliptic region around an interest point. More...

`#include <opencv2/xfeatures2d.hpp>`

Inheritance diagram for cv::xfeatures2d::Elliptic_KeyPoint:

## Public Member Functions
| Elliptic_KeyPoint ()
| Elliptic_KeyPoint (Point2f pt, float angle, Size axes, float size, float si)
virtual | ~Elliptic_KeyPoint ()
Public Member Functions inherited from cv::KeyPoint
| KeyPoint ()
| the default constructor More...
| KeyPoint (Point2f _pt, float _size, float _angle=-1, float _response=0, int _octave=0, int _class_id=-1)
| KeyPoint (float x, float y, float _size, float _angle=-1, float _response=0, int _octave=0, int _class_id=-1)
size_t | hash () const

## Public Attributes
Size_< float > | axes
| the lengths of the major and minor ellipse axes More...
float | si
| the integration scale at which the parameters were estimated More...
Matx23f | transf
| the transformation between image space and local patch space More...
Public Attributes inherited from cv::KeyPoint
float | angle
int | class_id
| object class (if the keypoints need to be clustered by an object they belong to) More...
int | octave
| octave (pyramid layer) from which the keypoint has been extracted More...
Point2f | pt
| coordinates of the keypoints More...
float | response
| the response by which the most strong keypoints have been selected. Can be used for the further sorting or subsampling More...
float | size
| diameter of the meaningful keypoint neighborhood More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::KeyPoint
static void | convert (const std::vector< KeyPoint > &keypoints, std::vector< Point2f > &points2f, const std::vector< int > &keypointIndexes=std::vector< int >())
static void | convert (const std::vector< Point2f > &points2f, std::vector< KeyPoint > &keypoints, float size=1, float response=1, int octave=0, int class_id=-1)
static float | overlap (const KeyPoint &kp1, const KeyPoint &kp2)

## Detailed Description

Elliptic region around an interest point.

## Constructor & Destructor Documentation

## § Elliptic_KeyPoint() [1/2]

cv::xfeatures2d::Elliptic_KeyPoint::Elliptic_KeyPoint | ( |  | ) |

## § Elliptic_KeyPoint() [2/2]

cv::xfeatures2d::Elliptic_KeyPoint::Elliptic_KeyPoint | ( | Point2f | pt,
|  | float | angle,
|  | Size | axes,
|  | float | size,
|  | float | si
| ) |  |

## § ~Elliptic_KeyPoint()

virtual cv::xfeatures2d::Elliptic_KeyPoint::~Elliptic_KeyPoint | ( |  | ) |
| virtual

## Member Data Documentation

## § axes

Size_<float> cv::xfeatures2d::Elliptic_KeyPoint::axes

the lengths of the major and minor ellipse axes

## § si

float cv::xfeatures2d::Elliptic_KeyPoint::si

the integration scale at which the parameters were estimated

## § transf

Matx23f cv::xfeatures2d::Elliptic_KeyPoint::transf

the transformation between image space and local patch space

The documentation for this class was generated from the following file:

- opencv2/xfeatures2d.hpp